menu
announcement

Spectrum is now read-only. Learn more about the decision in our official announcement.

infrastructure

Infrastructure-Components let you configure your React App Infrastructure easily

Channels
Team

infrastructure-scripts (0.3.11) postinstall script fails

August 12, 2020 at 2:23pm

infrastructure-scripts (0.3.11) postinstall script fails

August 12, 2020 at 2:23pm
Trying to get the tutorial example going but, unfortunately, the very first step fails already (npm install):
(...) npm ERR! [email protected] postinstall: ./scripts/icscriptsinstall.js npm ERR! Exit status 1 (...)
... a bit further up it says:
(...)
[email protected] postinstall C:_REPOS\git\rDDADy\infra-test\node_modules\infrastructure-scripts ./scripts/icscriptsinstall.js
'.' is not recognized as an internal or external command, operable program or batch file. (...)
Any idea what's going on here? (environment: windows 10 // tried to run this from cmd, from powershell as well as from cygwin/bash - same error everytime.
In addition, there are numerous "deprecated" dependencies - would this be an issue?
Any help getting this up'n'running would be appreciated. Thanks.
Best regards, Frank.

August 13, 2020 at 12:32pm
Hi, I'll have a look into the issue. I believe it's related to windows and some "path" issue. I'll come as soon as possible.

August 14, 2020 at 5:38pm
Thanks - looking forward to getting it up and running. Congratulations on your book by the way - I've only begun reading it, but it seems very useful (as well as an entertaining read).

August 22, 2020 at 3:16pm
Any help pointing me in the right direction on how to get this to work? Would still like to get this up and running somehow. I might be able to try'n'debug this myself, if you get me started. Thus far, I'm unable to do so, because I couldn't find the offending script. Seems to be created during the installation of module "infrastructure-scripts"... not sure where to look. Any help would be appreciated. Otherwise reading the book will be slightly less exciting than if I could follow along the code examples myself. Thanks.
Hi, sorry for the late response. I couldn't really figure out the problem thus far. The script prepares the local DynamoDb. I removed the script and published an alpha-version. "0.3.12-alpha.1"
In case you want to use the Database locally, you may need to install it manually with this version. To do this, you'd need a serverless.yml
service:
name: install-config
plugins:
- serverless-dynamodb-local
provider:
name: aws
runtime: nodejs8.10
then run sls dynamodb install
I hoe this helps. Unfortunately, I can't test it on Windows right now.
Edited

August 23, 2020 at 12:41pm
Hi Frank, Will give it a try - where can I find the "0.3.12-alpah.1", please? I took a look at the infrastructure-components repo, alas I could not spot this pre-release... I'm probably not looking in the right place. Thanks.